﻿@using BenhVien.MODEL
@using BenhVien.UI.Models
@model SuDungDichVu
@{
    var dichvu = (List<DichVu>)ViewBag.DichVu;
    var chiTiet = (List<ChiTietSuDungDichVu>)ViewBag.ChiTiet;
    var status = ViewBag.Status;
}



<div class="modal-dialog" style="width:1250px; align-content:center">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Sử dụng dịch vụ</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <input type="hidden" id="SuDungDichVuID" name="SuDungDichVuID" value="@(Model != null? Model.Id.ToString():"")">
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày lập </label>
                        <div>
                            <input type="text" id="NgayTao" class="form-control" readonly name="NgayTao" autocomplete="off" value="@(Model != null ? Model.NgayTao.Value.ToString("dd/MM/yyyy"):DateTime.Today.ToString("dd/MM/yyyy"))">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="" disabled>
                                <option value="@EnumTrangThaiDichVu.CHUA_THUC_HIEN" @((Model != null && Model.TrangThaiID == EnumTrangThaiDichVu.CHUA_THUC_HIEN) ? "Selected" : "")>@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.CHUA_THUC_HIEN)</option>
                                <option value="@EnumTrangThaiDichVu.DANG_THUC_HIEN" @((Model != null && Model.TrangThaiID == EnumTrangThaiDichVu.DANG_THUC_HIEN) ? "Selected" : "")>@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.DANG_THUC_HIEN)</option>
                                <option value="@EnumTrangThaiDichVu.HOAN_THANH" @((Model != null && Model.TrangThaiID == EnumTrangThaiDichVu.HOAN_THANH) ? "Selected" : "")>@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.HOAN_THANH)</option>
                            </select>

                        </div>
                    </div>

                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name"> Danh sách dịch vụ : </label>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-md-3">
                        <input type="button" class="form-control btnPlusContent" value="+" style="border-radius: 36px;width: 36px;float: left;" onclick="plusContent(this)" />
                        <label style="padding: 8px 0px 0px 5px;">Dịch vụ</label>
                    </div>
                    <div class="col-md-offset-3 pnlContent">
                        @foreach (var item in chiTiet)
                        {
                            <div class="form-group">
                                <div class="col-md-4 col-sm-4 col-xs-12">
                                    <select class="ctr-select" data-live-search="true" name="DichVuID">
                                        @foreach (var d in dichvu)
                                        {
                                            if (item.DichVuID == d.Id)
                                            {
                                                <option value="@d.Id" selected>@d.Ten</option>
                                            }
                                            else
                                            {
                                                <option value="@d.Id">@d.Ten</option>
                                            }

                                        }

                                    </select>
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-12">
                                    <input type="text" class="form-control number" value="@item.SoLuong" placeholder="Số lượng....." />
                                </div>
                                <div class="col-md-3 col-sm-3 col-xs-12">
                                    <select class="ctr-select" data-live-search="true" name="TrangThaiID" @(status == EnumStatus.INACTIVE?"disabled":"")>
                                        <option value="@EnumTrangThaiDichVu.CHUA_THUC_HIEN" @((Model != null && Model.TrangThaiID == EnumTrangThaiDichVu.CHUA_THUC_HIEN) ? "Selected" : "")>@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.CHUA_THUC_HIEN)</option>
                                        <option value="@EnumTrangThaiDichVu.DANG_THUC_HIEN" @((Model != null && Model.TrangThaiID == EnumTrangThaiDichVu.DANG_THUC_HIEN) ? "Selected" : "")>@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.DANG_THUC_HIEN)</option>
                                        <option value="@EnumTrangThaiDichVu.HOAN_THANH" @((Model != null && Model.TrangThaiID == EnumTrangThaiDichVu.HOAN_THANH) ? "Selected" : "")>@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.HOAN_THANH)</option>
                                    </select>
                                </div>
                                <div class="col-md-2 col-sm-2 col-xs-12">
                                    <input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
                                </div>
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <label>Vật tư y tế</label>
                                    <div>
                                        @{
                                            var text = "";
                                            var a = dichvu.FirstOrDefault(x => x.Id == item.DichVuID);
                                            if (a != null)
                                            {
                                                if (!string.IsNullOrEmpty(a.TrangThietBi))
                                                {
                                                    text = a.TrangThietBi.Trim();
                                                }
                                            }
                                            <textarea readonly class="form-control trangthietbi">@text</textarea>
                                        }
                                    </div>
                                      
                                </div>
                            </div>
                        }

                    </div>
                </div>



            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save1" type="button" onclick="SaveDichVu()" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        var khamBenhID = $('#KhamBenhID').val();
        var nhapVienID = $('#NhapVien').val();
        if (khamBenhID == undefined) {
            if ($('[name=TrangThaiID]').val() == '@EnumTrangThaiNhapVien.CHUYEN_TUYEN' || $('[name=TrangThaiID]').val() == '@EnumTrangThaiNhapVien.XUAT_VIEN') {
                $('#frm-capnhat1 button').attr("disabled", "true");
            }
        } else {
            if ($('[name=TrangThaiID]').val() == '@EnumTrangThaiKhamBenh.CHUYEN_TUYEN' || $('[name=TrangThaiID]').val() == '@EnumTrangThaiKhamBenh.HOAN_THANH' || $('[name=TrangThaiID]').val() == '@EnumTrangThaiKhamBenh.NOI_TRU') {
                $('#frm-capnhat1 button').attr("disabled", "true");
            }
        }
      
    });
    function plusContent(e) {
        var t = $($(e).parents('.panel-body')[0]).find('.pnlContent')[0];
        var c =
`<div class="form-group">
	 <div class ="col-md-4 col-sm-4 col-xs-12">
		<select class ="ctr-select" data-live-search="true" name="DichVuID">`
                                + '@Html.Raw(ViewBag.cbxDichVu)' + `
            </select>
	</div>
  <div class ="col-md-3 col-sm-3 col-xs-12">
                                    <input type="text" class ="form-control number" value="" placeholder="Số lượng....." />
                                </div>
                                <div class ="col-md-3 col-sm-3 col-xs-12">
                                    <select class ="ctr-select" data-live-search="true" name="TrangThaiID" disabled>
                                        <option value="@EnumTrangThaiDichVu.CHUA_THUC_HIEN" >@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.CHUA_THUC_HIEN) </option>
                                        <option value="@EnumTrangThaiDichVu.DANG_THUC_HIEN">@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.DANG_THUC_HIEN) </option>
                                        <option value="@EnumTrangThaiDichVu.HOAN_THANH">@EnumTrangThaiDichVu.ToString(EnumTrangThaiDichVu.HOAN_THANH) </option>
                                    </select>
                                </div>
	 <div class ="col-md-2 col-sm-2 col-xs-12">
		<input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
	</div>
     <div class ="col-md-12 col-sm-12 col-xs-12">
      <label>Vật tư y tế</label>
      <div>
      <textarea readonly class ="form-control trangthietbi"></textarea>
      </div>

	</div>
</div>`;
        $(t).append(c);
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
    }
    function minusContent(e) {
        $(e).parents('.form-group')[0].remove();
    }
    function minusGroup(e) {
        $(e).parents('.pnlGroup')[0].remove();
    }
    function collapseContent(e) {
        $(e).children().toggleClass("glyphicon-chevron-up").toggleClass("glyphicon-chevron-down");
        $($(e).parents('.pnlGroup')[0]).find("div.panel-body").toggle();
    }
</script>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
    });
    $(document).on("change", "[name=DichVuID]", function (e) {
        debugger;
        var id = this.value;
        var params = {
            id: id
        }
        $.ajax({
            url: '@Url.Action("GetDichVuById", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    var length = $('[name=DichVuID]').length;
                    for (var i = 0; i < length; i++) {
                        if ($('[name=DichVuID]')[i].value == id) {
                            $('.trangthietbi')[i].value = data.data.TrangThietBi;
                        }
                    }
                   
                }

            }
        });
    });
    
</script>
<script>
    function SaveDichVu() {
        debugger;
        var arr = [];
        var length = $('[name=DichVuID]').length;
        for (var i = 0; i < length; i++) {
            var obj = {
                DichVuID: $('[name=DichVuID]')[i].value,
                SoLuong: $('.number')[i].value,
                TrangThaiID: $('[name=TrangThaiID]')[i].value
            }
            arr.push(obj);
        }
        var params = {
            Id: $('#SuDungDichVuID').val(),
            KhamBenhID: $('#KhamBenhID').val(),
            NhapVienID: $('#NhapVienID').val(),
            list :arr
        }
        $.ajax({
            url: '@Url.Action("SuDungDichVu", "KhamBenh", new { area = "QuanTri" })',
            type: 'POST',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    donThuocID = data.data;
                    alertify.success(data.msg);
                    $('#modal-qltaikhoan').modal('hide');
                    location.reload();
                    }
                else {
                    alertify.error(data.msg);
                    document.getElementById("btn-save1").disabled = false;
                    $("#btn-save1").removeClass("disabled");
                }
            }
        });
    }
</script>






